Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.resource
Class UnsupportedResourceTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bea.portal.tools.resource.ResourceException
                      com.bea.portal.tools.resource.ResourceTypeException
                          com.bea.portal.tools.resource.UnsupportedResourceTypeException

All Implemented Interfaces
  Serializable

    public class UnsupportedResourceTypeException

extends ResourceTypeException

Thrown if an unsupported or unknown `ResourceType` was processed.

See Also
  Serialized Form

Constructor Summary
`UnsupportedResourceTypeException(ResourceID resourceID)` Constructor.

Method Summary
`ResourceID` | `getResourceID()` Get the `ResourceID`.
`ResourceType` | `getResourceType()` Get the unsupported or unknown `ResourceType`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedResourceTypeException

    public UnsupportedResourceTypeException(ResourceID resourceID)

  Constructor.

  Parameters
    `resourceID` - the `ResourceID`

Method Detail

### getResourceType

    public final ResourceType getResourceType()

  Get the unsupported or unknown `ResourceType`.

  Returns
    the unsupported or unknown `ResourceType`

### getResourceID

    public final ResourceID getResourceID()

  Get the `ResourceID`.

  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.